Subject: Re: [alto] the discovery problem

From: "Roni Even" <[email-masked]>
Date: Sat, 7 Aug 2010 09:59:17 +0300

Sebastian,
The current version tries also to address what you call "normal" ALTO server
discovery and the authors said that a name change will follow.
There is also draft-song-alto-server-discovery-03 that tried to address the
points made in previous meeting and I thought that the direction was to
merge both drafts and have just one.

Roni Even

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Sebastian Kiesel
> Sent: Tuesday, July 27, 2010 12:03 AM
> To: Thomson, Martin
> Cc: [email-masked]
> Subject: Re: [alto] the discovery problem
> 
> Martin,
> 
> On Mon, Jul 26, 2010 at 07:51:06PM +0800, Thomson, Martin wrote:
> > draft-ietf-geopriv-lis-discovery probably provides most of what you
> > will need for your application.  You could possibly even use the DHCP
> > option defined there.
> 
> This might be true for the "normal" ALTO server discovery, when the
> ALTO client is located in the resource consumer (e.g., peer of a p2p
> app), which will eventually access the desired resource.
> 
> The 3pdisc use case is different:
> 
> Host "B" (e.g., a tracker) connected to an arbitrary network receives
> an
> inbound TCP/UDP flow from another host "A" (e.g., peer) in another
> arbitrary access network.  We do not want to make any assumptions on
> the
> L7 protocol, so all "B" knows is the source IP in the packets that
> belongs to "A" (or to the outermost NAT box in front of "A", which
> should be enough for our purposes, carrier-grade NAT might need
> additional discussion).  Knowing only this IP address, host "B" then
> needs to discover an ALTO server that can give guidance for optimizing
> host A's peer selection.
> 
> This seems to be basically the same scenario as described in sec. 3.2
> of
> http://tools.ietf.org/id/draft-thomson-geopriv-res-gw-lis-discovery-
> 03.txt
> What happened to that draft?
> 
> 
> Thanks,
> Sebastian
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto